aboutsummaryrefslogtreecommitdiffstats
path: root/package/system/procd/files/uxc.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/system/procd/files/uxc.init')
-rw-r--r--package/system/procd/files/uxc.init18
1 files changed, 18 insertions, 0 deletions
diff --git a/package/system/procd/files/uxc.init b/package/system/procd/files/uxc.init
new file mode 100644
index 0000000000..035c8b0b9e
--- /dev/null
+++ b/package/system/procd/files/uxc.init
@@ -0,0 +1,18 @@
+#!/bin/sh /etc/rc.common
+
+START=99
+USE_PROCD=1
+NAME=uxc
+PROG=/sbin/uxc
+
+start_service() {
+ [ "${__BOOT_UXC}" = "1" ] || return 0
+ procd_open_instance "uxc"
+ procd_set_param command "$PROG" boot
+ procd_close_instance
+}
+
+boot() {
+ __BOOT_UXC=1
+ start
+}